# Interface BimIfcStyleDTO

interface BimIfcStyleDTO {
a: number;
b: number;
diffuseFactor: number;
diffuseTransmissionFactor: number;
g: number;
hash: string;
name: string;
r: number;
reflectionFactor: number;
specularExponent?: number;
specularFactor: number;
transmissionFactor: number;
}

#### Hierarchy (View Summary)

- RgbaDTO
  - BimIfcStyleDTO

#### Implemented by

- BimIfcStyle

##### Index

### Properties

a
b
diffuseFactor
diffuseTransmissionFactor
g
hash
name
r
reflectionFactor
specularExponent?
specularFactor
transmissionFactor

## Properties

### `Readonly` a

a: number

Inherited from RgbaDTO.a

### `Readonly` b

b: number

Inherited from RgbaDTO.b

### `Readonly` diffuseFactor

diffuseFactor: number

### `Readonly` diffuseTransmissionFactor

diffuseTransmissionFactor: number

### `Readonly` g

g: number

Inherited from RgbaDTO.g

### `Readonly` hash

hash: string

### `Readonly` name

name: string

### `Readonly` r

r: number

Inherited from RgbaDTO.r

### `Readonly` reflectionFactor

reflectionFactor: number

### `Optional` `Readonly` specularExponent

specularExponent?: number

### `Readonly` specularFactor

specularFactor: number

### `Readonly` transmissionFactor

transmissionFactor: number